package de.snailshell.consensus.demo.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import de.snailshell.consensus.demo.Constants;

/**
 * @author Thomas Much
 * @version 2006-06-14
 */
public class LogoutAction extends BasisAction {

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		// UserManager.logout() is called from UserImpl.valueUnbound()
		
		HttpSession session = request.getSession(false);

		if (session != null) {
			session.removeAttribute( Constants.SESSION_ATTR_USER );
			session.invalidate();
		}

		return mapping.findForward( Constants.MAPPING_SUCCESS );
	}

}
